#
# Conditional build:
%bcond_without	systemd		# without systemd inhibit

Summary:	MATE power management service
Name:		mate-power-manager
Version:	1.6.3
Release:	1
License:	GPL v2+
Group:		X11/Applications
Source0:	http://pub.mate-desktop.org/releases/1.6/%{name}-%{version}.tar.xz
# Source0-md5:	ec9e4784ca6a56d2d78d892d26bc5da6
Patch1:		use-gnome-keyring.patch
Patch4:		uidir.patch
URL:		http://wiki.mate-desktop.org/mate-power-manager
BuildRequires:	cairo-devel >= 1.0.0
BuildRequires:	dbus-glib-devel
BuildRequires:	desktop-file-utils
BuildRequires:	docbook-dtd41-sgml
BuildRequires:	docbook-utils
BuildRequires:	glib2-devel
BuildRequires:	gtk+2-devel >= 2:2.17.7
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	libcanberra-devel
BuildRequires:	libcanberra-gtk-devel
BuildRequires:	libgnome-keyring-devel >= 0.6.0
BuildRequires:	libnotify-devel >= 0.7.0
BuildRequires:	libunique-devel
BuildRequires:	mate-common
BuildRequires:	mate-doc-utils
BuildRequires:	mate-panel-devel
BuildRequires:	popt-devel
BuildRequires:	rpmbuild(find_lang) >= 1.36
%{?with_systemd:BuildRequires:	systemd-devel >= 1:195}
BuildRequires:	tar >= 1:1.22
BuildRequires:	upower-devel
BuildRequires:	xz
Requires:	glib2 >= 1:2.26.0
Requires:	gtk-update-icon-cache
Requires:	hicolor-icon-theme
Requires:	mate-panel >= 1.5.0
Requires:	upower
Suggests:	udisks
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_libexecdir	%{_libdir}/mate-panel

%description
MATE Power Manager uses the information and facilities provided by
UPower displaying icons and handling user callbacks in an interactive
MATE session.

%prep
%setup -q
%patch1 -p1
%patch4 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--disable-silent-rules \
	--disable-static \
	--disable-scrollkeeper \
	%{!?with_systemd:--without-systemdinhibit} \
	--enable-applets

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	INSTALL="install -p" \
	DESTDIR=$RPM_BUILD_ROOT

# mate < 1.5 did not exist in pld, avoid dependency on mate-conf
%{__rm} $RPM_BUILD_ROOT%{_datadir}/MateConf/gsettings/mate-power-manager.convert

%find_lang %{name} --with-mate --with-omf

desktop-file-install \
     --delete-original \
     --remove-category=MATE \
     --add-category=X-Mate \
     --dir=$RPM_BUILD_ROOT%{_desktopdir} \
$RPM_BUILD_ROOT%{_desktopdir}/*.desktop

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_icon_cache hicolor
%glib_compile_schemas

%postun
%update_icon_cache hicolor
%glib_compile_schemas

%files  -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS README
/etc/xdg/autostart/mate-power-manager.desktop
%attr(755,root,root) %{_bindir}/mate-power-bugreport.sh
%attr(755,root,root) %{_bindir}/mate-power-manager
%attr(755,root,root) %{_bindir}/mate-power-preferences
%attr(755,root,root) %{_bindir}/mate-power-statistics
%attr(755,root,root) %{_sbindir}/mate-power-backlight-helper
%attr(755,root,root) %{_libdir}/mate-panel/mate-brightness-applet
%attr(755,root,root) %{_libdir}/mate-panel/mate-inhibit-applet
%{_mandir}/man1/mate-power-manager.1*
%{_mandir}/man1/mate-power-preferences.1*
%{_mandir}/man1/mate-power-statistics.1*
%{_datadir}/%{name}
%{_desktopdir}/mate-power-preferences.desktop
%{_desktopdir}/mate-power-statistics.desktop
%{_iconsdir}/hicolor/*/apps/mate-*.*
%{_datadir}/mate-panel/applets/org.mate.BrightnessApplet.mate-panel-applet
%{_datadir}/mate-panel/applets/org.mate.InhibitApplet.mate-panel-applet
%{_datadir}/mate-panel/ui/brightness-applet-menu.xml
%{_datadir}/mate-panel/ui/inhibit-applet-menu.xml
%{_datadir}/dbus-1/services/mate-power-manager.service
%{_datadir}/dbus-1/services/org.mate.panel.applet.BrightnessAppletFactory.service
%{_datadir}/dbus-1/services/org.mate.panel.applet.InhibitAppletFactory.service
%{_datadir}/glib-2.0/schemas/org.mate.power-manager.gschema.xml
%{_datadir}/polkit-1/actions/org.mate.power.policy
%changelog
* Tue Dec 17 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/mate-power-manager.git;a=log;h=master

* Tue Dec 17 2013 Jan Palus <jan.palus@gmail.com> 9e53773
- up to 1.6.3

* Thu Jul 25 2013 Jan Palus <jan.palus@gmail.com> baba632
- up to 1.6.2

* Sat Jul 20 2013 Jan Rękorajski <baggins@pld-linux.org> 1a88929
- release 2 (by relup.sh)

* Wed May 15 2013 Elan Ruusamäe <glen@delfi.ee> 224f5aa
- up to 1.6.1

* Thu Apr 04 2013 Elan Ruusamäe <glen@delfi.ee> a3efb26
- use 1.6.0 tarball

* Tue Mar 19 2013 Elan Ruusamäe <glen@delfi.ee> d27d91f
- up to 1.5.2

* Sat Mar 02 2013 Elan Ruusamäe <glen@delfi.ee> 5e5c651
- restore original blacklight value when resuming from idle

* Sat Mar 02 2013 Elan Ruusamäe <glen@delfi.ee> b318a16
- move applets and ui files to mate-panel dirs

* Mon Feb 18 2013 Elan Ruusamäe <glen@delfi.ee> ffff9b3
- suggest udisks

* Mon Feb 18 2013 Elan Ruusamäe <glen@delfi.ee> e1330f1
- allow mate-power-manager to work if not booted with systemd

* Mon Feb 18 2013 Elan Ruusamäe <glen@delfi.ee> 8eca912
- use libnotify, not libmatenotify fork

* Mon Feb 18 2013 Elan Ruusamäe <glen@delfi.ee> 4eff655
- use libnotify not matenotify

* Sun Feb 17 2013 Elan Ruusamäe <glen@delfi.ee> dff2789
- allow building without systemd support

* Sat Feb 16 2013 Elan Ruusamäe <glen@delfi.ee> 2ca837d
- requires upower

* Sat Feb 16 2013 Elan Ruusamäe <glen@delfi.ee> 950ddb4
- use gnome keyring

* Sat Feb 16 2013 Elan Ruusamäe <glen@delfi.ee> 79ce4b1
- cleanup BR deps

* Sat Feb 16 2013 Elan Ruusamäe <glen@delfi.ee> 36607ab
- avoid bash specific syntax

* Sat Feb 16 2013 Elan Ruusamäe <glen@delfi.ee> 64a56ea
- update deps

* Sat Feb 16 2013 Elan Ruusamäe <glen@delfi.ee> 85ccafd
- new, version 1.5.1

